/***************************************************************************
 *   Copyright (C) 2004-2006 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.6.1
 *   See LICENSE file that comes with this distribution
 ***************************************************************************/
#include "cb2bibconffri.h"

#include <qlineedit.h>


cb2BibConfFRI::cb2BibConfFRI(QListViewItem *item,
                             QWidget* parent, const char* name, bool modal, WFlags fl)
        : cb2bibconffribase(parent,name, modal,fl)
{
    itemFindReplace = item;
    lineEditFind->setText( itemFindReplace->text(0) );
    lineEditReplace->setText( itemFindReplace->text(1) );
    lineEditDescription->setText( itemFindReplace->text(2) );
}

cb2BibConfFRI::~cb2BibConfFRI()
{}


void cb2BibConfFRI::reject()
{
    QDialog::reject();
}

void cb2BibConfFRI::accept()
{
    itemFindReplace->setText(0,lineEditFind->text());
    itemFindReplace->setText(1,lineEditReplace->text());
    itemFindReplace->setText(2,lineEditDescription->text());
    QDialog::accept();
}



